<?php

add_action('init', 'custom_stylesheet');
 
function custom_stylesheet() {
    wp_register_style( 'custom-styles', get_template_directory_uri() . '/style.css' );
    
    /** 
     * making sure css from block styles gets loaded on front-end
     * TODO: unify both css files into one stylesheet
    */
    wp_register_style( 'block-styles', get_theme_file_uri( 'block-styles.css' ) );
}
wp_enqueue_style( 'custom-styles' );

function autonomic_block_styles() {
    /**
    * Enable support for block editor styles
    * @link https://developer.wordpress.org/themes/basics/theme-functions/#theme-support-in-block-themes
	*/
	add_theme_support( 'editor-styles' );
	add_theme_support( 'wp-block-styles' );
	add_editor_style( 'block-styles.css' );
}